IntlCalendar::setMinimalDaysInFirstWeek
IntlCalendar::setSkippedWallTimeOption
IntlCalendar
PHP Manual

# IntlCalendar::setRepeatedWallTimeOption

Set behavior for handling repeating wall times at negative timezone offset transitions

### Description

Object oriented style

public bool IntlCalendar::setRepeatedWallTimeOption ( int `$wallTimeOption` )

Procedural style

bool intlcal_set_repeated_wall_time_option ( IntlCalendar `$cal` , int `$wallTimeOption` )

Sets the current strategy for dealing with wall times that are repeated whenever the clock is set back during dailight saving time end transitions. The default value is `IntlCalendar::WALLTIME_LAST` (take the post-DST instant). The other possible value is `IntlCalendar::WALLTIME_FIRST` (take the instant that occurs during DST).

This function requires ICU 4.9 or later.

### Parameters

`cal`

  The IntlCalendar resource.

`wallTimeOption`

  One of the constants `IntlCalendar::WALLTIME_FIRST` or `IntlCalendar::WALLTIME_LAST`.

### Return Values

Returns `TRUE` on success. Failure can only happen due to invalid parameters.

### Examples

See the example on IntlCalendar::getRepeatedWallTimeOption.

### See Also

- intlCalendar::getRepeatedWallTimeOption
- intlCalendar::setSkippedWallTimeOption
- intlCalendar::getSkippedWallTimeOption